library (shiny)
#library(markdown)
#library(ggplot2)
library(DT)
library(limma)
library(shinydashboard)
library(edgeR)
library(RColorBrewer)
library(tidyverse)
library(fgsea)
library(data.table)
#library(Glimma)
library(org.Hs.eg.db)
library(msigdbr)
#library(shinyBS)
library(topconfects)
library(enrichR)
library(viper)


Hs.GOBP <- msigdbr(species = "Homo sapiens", category = "C5", subcategory = "BP")
Hs.Reactome <- msigdbr(species = "Homo sapiens", category = "C2", subcategory = "CP:REACTOME")
#Hs.motif <- msigdbr(species = "Homo sapiens", category = "C3")
Hs.Hallmark <- msigdbr(species = "Homo sapiens", category = "H")
Hs.GOBP.Entrez <-  split(x = as.numeric(Hs.GOBP$entrez_gene), f = Hs.GOBP$gs_name)
Hs.GOBP.Symbol <- split(x = Hs.GOBP$gene_symbol, f = Hs.GOBP$gs_name)
Hs.Hallmark.Entrez <- Hs.Hallmark %>% split(x = .$entrez_gene, f = .$gs_name)
Hs.Hallmark.Symbol <- Hs.Hallmark %>% split(x = .$gene_symbol, f = .$gs_name)
Hs.Reactome.Entrez <- Hs.Reactome %>% split(x = .$entrez_gene, f = .$gs_name)
Hs.Reactome.Symbol <- Hs.Reactome %>% split(x = .$gene_symbol, f = .$gs_name)

# For Enrichr 

Enrichrdbs <- listEnrichrDbs()
dbs <- c("TRANSFAC_and_JASPAR_PWMs", 
         "ENCODE_TF_ChIP-seq_2015", 
         "ChEA_2016",
         "ARCHS4_TFs_Coexp",
         "ENCODE_and_ChEA_Consensus_TFs_from_ChIP-X")
		 

# For DoRothEA TF analysis
# C set is a good place to start - it requires either 1) Curated data w/ TFBS or 2) ChIP-Seq data w/ TFBS

load(paste(getwd(),'/data/C_viperRegulon.rdata',sep="/"))


# Clean TF names & explore object
names(viper_regulon) <- sapply(strsplit(names(viper_regulon), split = ' - '), head, 1)
